//
// Global.h
//
// Copyright(c) 2001 Blodgett Combi
//
//
// Author: Scott Douglas
// Used by kind permission by PICuWEB http://www.workingtex.com/htpic
// Date: 26 Sep 00
// Build Version: .1
//
// Compiler Hi-Tech C V7.86
//
// Program notes:
//  ----------------------------------------------------------------------
// 1. First pass using PIC development board.
//
// Revision History
//  ----------------------------------------------------------------------
// .1 - Switch from C2C to Hi-Tech compiler       9 January 2001
//
//
// downloaded From 'The PIC C archive' at http://www.workingtex.com/htpic

#ifndef _GLOBAL_H
#define _GLOBAL_H
 //#define XTAL_FREQ 4MHZ         // Crystal frequency
 #define version ".1"             // Build version
 // Bit flipping macros !THANKS SHANE TOLMIE AT HTTP://WWW.WORKINGTEX.COM/HTPIC
 #define bit_set(var,bitno) ((var) |= 1 << (bitno))
 #define bit_clr(var,bitno) ((var) &= ~(1 << (bitno)))
 #define bit_on(data,bitno) ((data>>bitno) &0x01)
 // Watch Dog timer macro
 #define   clrwdt()  asm(" clrwdt")
 #define TRUE 1
 #define FALSE 0
 #define BOOL unsigned char
 //#define DEBUG_Print            // Comment out for final build!
 #define One_Sec 1000		    // The number needed at a PScale TMR0 rate of 1:4
 #define One_MS 1                 //
 #define One_Hun_MS 100		    //
 #define Two_Hun_MS 200		    //
 #define Five_Hun_MS 500	    //
 static char Byte_Mask;           // Masking to test ..is a bit on or not
 static unsigned char In_Byte1;   // Input variable from an 8 bit read port Global for all
 static unsigned char In_Byte2;   // Input variable from an 8 bit read port Global for all
 static bank1 char In_Byte3;      // Input variable from an 8 bit read port Global for all
 static bank1 char In_Byte4;      // Input variable from an 8 bit read port Global for all
 static bank1 char In_Byte_Temp1; // Temp for compare if Input has changed
 static bank1 char In_Byte_Temp2; // Temp for compare if Input has changed
 static bank1 char In_Byte_Temp3; // Temp for compare if Input has changed
 static bank1 char In_Byte_Temp4; // Temp for compare if Input has changed
 static volatile int MUX;         // Channel select
 static bank1 char Out_Byte1;     // Output variable for an 8 bit write to SPI
 static bank1 char Out_Byte2;     // Output variable for an 8 bit write to SPI
 static bank1 char Out_Byte3;     // Output variable for an 8 bit write to SPI
 static bank1 char Out_Byte4;     // Output variable for an 8 bit write to SPI
 static volatile int SPI_Count;   // Bank 0 only.(ISR CALL)
 bank1 static long SPI_Val0;      // Channel 0 - 32 bit value
 bank1 static long SPI_Val1;      // Channel 1 - 32 bit value
 bank1 static long SPI_Val2;      // Channel 2 - 32 bit value
 bank1 static long SPI_Val3;      // Channel 3 - 32 bit value
 bank1 static long SPI_Val4;      // Channel 4 - 32 bit value
 bank1 static long SPI_Val5;      // Channel 5 - 32 bit value
 bank1 static long SPI_Val6;      // Channel 6 - 32 bit value
 bank1 static long SPI_Val7;      // Channel 7 - 32 bit value
#endif
